## org.eclipse.emf.codegen.ecore.genmodel
Enum GenJDKLevel

    java.lang.Object
      java.lang.Enum<GenJDKLevel>
          org.eclipse.emf.codegen.ecore.genmodel.GenJDKLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenJDKLevel>, Enumerator

    public enum GenJDKLevel

extends java.lang.Enum<GenJDKLevel>
implements Enumerator

A representation of the literals of the enumeration 'Gen JDK Level', and utility methods for working with them.

Since:
  2.3
See Also:
  `GenModelPackage.getGenJDKLevel()`

Enum Constant Summary
`JDK14_LITERAL` The 'JDK14' literal object
`JDK50_LITERAL` The 'JDK50' literal object
`JDK60_LITERAL` The 'JDK60' literal object

Field Summary
`static int` `JDK14` The 'JDK14' literal value
`static int` `JDK50` The 'JDK50' literal value
`static int` `JDK60` The 'JDK60' literal value
`static java.util.List<GenJDKLevel>` `VALUES` A public read-only list of all the 'Gen JDK Level' enumerators

Method Summary
`static GenJDKLevel` `get(int value)` Returns the 'Gen JDK Level' literal with the specified integer value
`static GenJDKLevel` `get(java.lang.String literal)` Returns the 'Gen JDK Level' literal with the specified literal value
`static GenJDKLevel` `getByName(java.lang.String name)` Returns the 'Gen JDK Level' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static GenJDKLevel` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenJDKLevel[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JDK14_LITERAL

    public static final GenJDKLevel JDK14_LITERAL

  The 'JDK14' literal object.

  See Also:
    `JDK14`

### JDK50_LITERAL

    public static final GenJDKLevel JDK50_LITERAL

  The 'JDK50' literal object.

  See Also:
    `JDK50`

### JDK60_LITERAL

    public static final GenJDKLevel JDK60_LITERAL

  The 'JDK60' literal object.

  See Also:
    `JDK60`

Field Detail

### JDK14

    public static final int JDK14

  The 'JDK14' literal value.

  See Also:
    `JDK14_LITERAL`, Constant Field Values

### JDK50

    public static final int JDK50

  The 'JDK50' literal value.

  See Also:
    `JDK50_LITERAL`, Constant Field Values

### JDK60

    public static final int JDK60

  The 'JDK60' literal value.

  See Also:
    `JDK60_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<GenJDKLevel> VALUES

  A public read-only list of all the 'Gen JDK Level' enumerators.

Method Detail

### values

    public static final GenJDKLevel[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GenJDKLevel c : GenJDKLevel.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GenJDKLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static GenJDKLevel get(java.lang.String literal)

  Returns the 'Gen JDK Level' literal with the specified literal value.

### getByName

    public static GenJDKLevel getByName(java.lang.String name)

  Returns the 'Gen JDK Level' literal with the specified name.

### get

    public static GenJDKLevel get(int value)

  Returns the 'Gen JDK Level' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`
  Returns:
    the value.

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`
  Returns:
    the name.

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`
  Returns:
    the literal.

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<GenJDKLevel>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.